--- globals.inc	2014-10-13 16:58:27.000000000 +0000
+++ globals.inc	2014-11-12 20:49:40.000000000 +0000
@@ -110,21 +110,20 @@
 
 if(file_exists("/etc/platform")) {
 	$arch = php_uname("m");
-	/* Do not remove this, it is not needed for the snapshots URL but is needed later for the -RELEASE/stable URLs */
-	//$arch = ($arch == "i386") ? "" : '/' . $arch;
+	$arch = '/' . $arch;
 
 	/* Full installs and NanoBSD use the same update directory and manifest in 2.x */
-	$g['update_url']="https://updates.virtualpf.com/.snapshots/BACON/";
+	$g['update_url']="https://updates.virtualpf.com/updates/virtualpf/bacon" . $arch;
 	$g['update_manifest']="https://updates.virtualpf.com/manifest";
 
 	$g['platform'] = trim(file_get_contents("/etc/platform"));
 	if($g['platform'] == "nanobsd") {
-		$g['firmware_update_text']="pfSense-*.img.gz";
+		$g['firmware_update_text']="VirtualPF-*.img.gz";
 		$g['hidedownloadbackup'] = true;
 		$g['hidebackupbeforeupgrade'] = true;
 
 	} else {
-		$g['firmware_update_text']="pfSense-*.tgz";
+		$g['firmware_update_text']="VirtualPF-*.tgz";
 	}
 }
 
